ChangeSet 1.1587.3.18, 2004/04/29 10:47:50-07:00, greg@kroah.com

USB: fix build error in hci_usb driver due to urb reference count change.

This really needs to get fixed the proper way, by making the urb allocation
dynamic in the driver, instead of the hack it is currently doing...


 drivers/bluetooth/hci_usb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/bluetooth/hci_usb.c b/drivers/bluetooth/hci_usb.c
--- a/drivers/bluetooth/hci_usb.c	Fri May 14 15:31:18 2004
+++ b/drivers/bluetooth/hci_usb.c	Fri May 14 15:31:18 2004
@@ -342,7 +342,7 @@
 
 static inline void hci_usb_wait_for_urb(struct urb *urb)
 {
-	while (atomic_read(&urb->count) > 1) {
+	while (atomic_read(&urb->kref.refcount) > 1) {
 		current->state = TASK_UNINTERRUPTIBLE;
 		schedule_timeout((5 * HZ + 999) / 1000);
 	}
